import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';

import {DataSvc} from "./services/DataSvc";
import {WjGridModule} from "wijmo/wijmo.angular2.grid";
import {WjGridFilterModule} from "wijmo/wijmo.angular2.grid.filter";
import {WjGridDetailModule} from "wijmo/wijmo.angular2.grid.detail";
@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    WjGridModule,
    WjGridFilterModule,
    WjGridDetailModule
  ],
  providers: [DataSvc],
  bootstrap: [AppComponent]
})
export class AppModule { }
