import { Injectable } from "@angular/core";

/// common DataService
@Injectable()
export class DataSvc {
    public getCountries(){
        return "US,UK,Japan,India,China,Brazil,Korea,Rusia".split(",");
    }
    public getProducts(){
        return "Active Report,ComponentOne,Spread,Wijmo,Xuni".split(",");
    }
    public getData(count:number){
        let data=[],
        products=this.getProducts(),
        countries=this.getCountries();
        for(let i=0;i<count;i++){
            data.push({
                id:i,
                country:countries[i%countries.length],
                product:products[i%products.length],
                sales:Math.random()*1000,
                downloads:Math.random()*1000                
            })
        }
        return data;
    }
}